# Reject Pending Biometric Verification

To reject a biometric verification through the API, use the following mutation:

```graphql
mutation{
  rejectBiometric(
    verification_id: VERIFICATION_ID,
    public_id:  "SIGNATURE_ID"
  ){
    public_id
    name
    email
    delivery_method
    user{
      id
      name
      email
      phone
    }
    verifications{
      id
      type
      verify_phone
      payload {
        url
        reference
      }
      user {
        images
        confidence
      }
      verified_at
      max_attempt
      logs_attempt
    }
  }
}
```

#### Parameter

* `verification_id`: The ID of the additional verification to be rejected
* `public_id`: The ID of the signature that contains the verification

#### Expected response:

```json
{
  "data": {
    "approveBiometric": {
      "public_id": "1d7cb86fat3st3efb5go0o0l0a2b610a",
      "name": null,
      "email": "mateus@autentique.com.br",
      "delivery_method": "DELIVERY_METHOD_EMAIL",
      "user": {
        "id": "3ac41a793ed3sseIDn403xist3deV3rdad333e7fe03",
        "name": "Mateus Razzia Zanella",
        "email": "mateus@autentique.com.br",
        "phone": null
      },
      "verifications": [
        {
          "id": 430555,
          "type": "MANUAL",
          "verify_phone": null,
          "payload": null,
          "user": {
            "images": {
              "front": "https://storage.googleapis.com/biometric-auth/teste/exemplo.jpg",
              "selfie": "https://storage.googleapis.com/biometric-auth/teste/exemplo.jpg"
            },
            "confidence": null
          },
          "verified_at": null,
          "max_attempt": 3,
          "logs_attempt": null
        }
      ]
    }
  }
}
```

{% hint style="info" %}
If Altair doesn't help you integrate with the API, check out some examples of how to make these requests in other ways: <https://graphql.org/graphql-js/graphql-clients/>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autentique.com.br/api/mutations/reject-pending-biometric-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
